package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PraAnestesiPasienDetailVO extends BaseTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "praAnestesiPasienFk")
	@Caption(value="PraAnestesi Pasien")
	private PraAnestesiPasienVO praAnestesiPasien;
	
	@ManyToOne
	@JoinColumn(name = "statusYaTidakFk")
	@Caption(value="Status Ya Tidak")
	private StatusYaTidakVO statusYaTidak;
	
	@ManyToOne
	@JoinColumn(name = "kategoriPraAnestesiFk")
	@Caption(value="Kategori PraAnestesi")
	private KategoriPraAnestesiVO kategoriPraAnestesi;
	
	@Column(name = "keterangan")
	@Caption(value="Keterangan")
	private String keterangan;

	public PraAnestesiPasienVO getPraAnestesiPasien() {
		return praAnestesiPasien;
	}

	public void setPraAnestesiPasien(PraAnestesiPasienVO praAnestesiPasien) {
		this.praAnestesiPasien = praAnestesiPasien;
	}

	public StatusYaTidakVO getStatusYaTidak() {
		return statusYaTidak;
	}

	public void setStatusYaTidak(StatusYaTidakVO statusYaTidak) {
		this.statusYaTidak = statusYaTidak;
	}

	public KategoriPraAnestesiVO getKategoriPraAnestesi() {
		return kategoriPraAnestesi;
	}

	public void setKategoriPraAnestesi(KategoriPraAnestesiVO kategoriPraAnestesi) {
		this.kategoriPraAnestesi = kategoriPraAnestesi;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

}
